Skip to main content
PUT
/
enterprises
/
{enterprise_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const enterprise = await client.enterprises.update('6a09cdc3-8948-47f0-aa62-74ac943d6c58');

console.log(enterprise.data);
{
  "data": {
    "id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
    "legal_name": "Acme Corp Inc.",
    "doing_business_as": "Acme",
    "organization_type": "commercial",
    "country_code": "US",
    "role_type": "enterprise",
    "customer_reference": "<string>",
    "website": "<string>",
    "fein": "<string>",
    "industry": "<string>",
    "number_of_employees": "1-10",
    "organization_legal_type": "corporation",
    "primary_business_domain_sic_code": "<string>",
    "corporate_registration_number": "<string>",
    "professional_license_number": "<string>",
    "dun_bradstreet_number": "<string>",
    "organization_contact": {
      "first_name": "Jane",
      "last_name": "Smith",
      "email": "jane.smith@acme.com",
      "job_title": "VP of Engineering",
      "phone": "+16035551234"
    },
    "billing_contact": {
      "first_name": "John",
      "last_name": "Doe",
      "email": "billing@acme.com",
      "phone_number": "15551234568"
    },
    "organization_physical_address": {
      "country": "United States",
      "administrative_area": "Illinois",
      "city": "Chicago",
      "postal_code": "60601",
      "street_address": "123 Main St",
      "extended_address": "Suite 400"
    },
    "billing_address": {
      "country": "United States",
      "administrative_area": "Illinois",
      "city": "Chicago",
      "postal_code": "60601",
      "street_address": "123 Main St",
      "extended_address": "Suite 400"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

enterprise_id
string<uuid>
required

Unique identifier of the enterprise (UUID)

Example:

"6a09cdc3-8948-47f0-aa62-74ac943d6c58"

Body

application/json

All fields are optional. Only provided fields will be updated.

Legal name of the enterprise

Required string length: 3 - 64
doing_business_as
string

DBA name

Maximum string length: 255
customer_reference
string

Customer reference identifier

Maximum string length: 255
website
string

Company website URL

Maximum string length: 255
fein
string

Federal Employer Identification Number. Format: XX-XXXXXXX or XXXXXXXXX

Maximum string length: 20
industry
string

Industry classification

number_of_employees
enum<string>

Employee count range

Available options:
1-10,
11-50,
51-200,
201-500,
501-2000,
2001-10000,
10001+

Legal structure type

Available options:
corporation,
llc,
partnership,
nonprofit,
other
primary_business_domain_sic_code
string

SIC Code

Maximum string length: 10
corporate_registration_number
string

Corporate registration number

Maximum string length: 100
professional_license_number
string

Professional license number

Maximum string length: 100
dun_bradstreet_number
string

D-U-N-S Number

Maximum string length: 20
organization_contact
object

Organization contact information. Note: the response returns this object with the phone field as 'phone' (not 'phone_number').

billing_contact
object
organization_physical_address
object
billing_address
object

Response

Enterprise updated successfully

data
object